View a markdown version of this page

ListServiceQuotaWarnings - Amazon Application Recovery Controller

ListServiceQuotaWarnings

Lists the service quota warnings for the plans that you can access. Region switch creates a warning when the applied quota value in one Region of a plan is lower than the value required for the matching resource in another Region or account in the plan.

Returns the warnings for the plans that you own and for plans that are shared with your account through AWS Resource Access Manager (AWS RAM). To return warnings for specific plans, provide a list of plan Amazon Resource Names (ARNs). Region switch ignores any plan ARN that you can't access. If you don't provide any plan ARNs, Region switch returns the warnings for all of your accessible plans.

Request Syntax

{ "maxResults": number, "nextToken": "string", "planArns": [ "string" ] }

Request Parameters

For information about the parameters that are common to all actions, see Common Parameters.

The request accepts the following data in JSON format.

maxResults

The maximum number of results to return with this call. Valid values are 1 to 100. If you don't specify a value, the operation returns up to the maximum number of results.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 100.

Required: No

nextToken

Specifies that you want to receive the next page of results. Valid only if you received a nextToken response in the previous request. If you did, it indicates that more output is available. Set this parameter to the value provided by the previous call's nextToken response to request the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Required: No

planArns

The Amazon Resource Names (ARNs) of the plans to return service quota warnings for. You can specify up to 100 plan ARNs. Region switch ignores any plan ARN that you can't access. If you omit this parameter, Region switch returns the warnings for all of your accessible plans.

Type: Array of strings

Array Members: Minimum number of 0 items. Maximum number of 100 items.

Pattern: arn:aws[a-zA-Z-]*:arc-region-switch::[0-9]{12}:plan/([a-zA-Z0-9](?:[a-zA-Z0-9-]{0,30}[a-zA-Z0-9])?):([a-z0-9]{6})

Required: No

Response Syntax

{ "nextToken": "string", "serviceQuotaWarningSummaries": [ { "accountId": "string", "caseId": "string", "lastCheckedAt": number, "planArn": "string", "quotaCode": "string", "quotaName": "string", "quotaRegion": "string", "requestId": "string", "serviceCode": "string", "status": "string", "warningCreatedAt": number, "warningMessage": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A pagination token. A response may contain no results while still including a nextToken. Continue paginating until nextToken is null to retrieve all results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

serviceQuotaWarningSummaries

The service quota warnings for the plans that you can access.

Type: Array of ServiceQuotaWarningSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

HTTP Status Code: 403

InternalServerException

The request processing has failed because of an unknown error, exception, or failure.

HTTP Status Code: 500

HTTP Status Code: 500

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: